Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 484)
@@ -208,7 +208,7 @@
                     strcmd.AppendFormat(", {0}", work.OrderNo);
                     strcmd.AppendFormat(", {0}", work.CommentNo);
                     strcmd.AppendFormat(", {0}", work.ParentNo);
-                    strcmd.AppendFormat(", '{0}'", work.ApproValComment);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ApproValComment));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -260,7 +260,7 @@
                 strcmd.AppendFormat(", {0}", data.OrderNo);
                 strcmd.AppendFormat(", {0}", data.CommentNo);
                 strcmd.AppendFormat(", {0}", data.ParentNo);
-                strcmd.AppendFormat(", '{0}'", data.ApproValComment);
+                strcmd.AppendFormat(", {0}", SeparateString(data.ApproValComment));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
@@ -301,7 +301,7 @@
                 strcmd.AppendFormat(",OrderNo = {0}", data.OrderNo);
                 strcmd.AppendFormat(",CommentNo = {0}", data.CommentNo);
                 strcmd.AppendFormat(",ParentNo = {0}", data.ParentNo);
-                strcmd.AppendFormat(",ApproValComment = '{0}'", data.ApproValComment);
+                strcmd.AppendFormat(",ApproValComment = {0}", SeparateString(data.ApproValComment));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -379,7 +379,7 @@
                         strcmd.AppendFormat(" ParentNo = {0}", (int)value);
                         break;
                     case (int)ColumnName.ApproValComment:
-                        strcmd.AppendFormat(" ApproValComment = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ApproValComment = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonQualification.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonQualification.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonQualification.cs	(revision 484)
@@ -205,8 +205,8 @@
                 strcmd.AppendFormat(", {0}", data.DCode);
                 strcmd.AppendFormat(", {0}", data.QCode);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.DateOfAcquisition.ToShortDateString());
-                strcmd.AppendFormat(",'{0}'", data.Qualification);
-                strcmd.AppendFormat(",'{0}'", data.Notes);
+                strcmd.AppendFormat(", {0}", SeparateString(data.Qualification));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Notes));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
@@ -258,8 +258,8 @@
                     strcmd.AppendFormat(", {0}", work.DCode);
                     strcmd.AppendFormat(", {0}", work.QCode);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.DateOfAcquisition.ToShortDateString());
-                    strcmd.AppendFormat(",'{0}'", work.Qualification);
-                    strcmd.AppendFormat(",'{0}'", work.Notes);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Qualification));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Notes));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -303,8 +303,8 @@
                 strcmd.AppendFormat(", DCode =  {0}", data.DCode);
                 strcmd.AppendFormat(", QCode = {0}", data.QCode);
                 strcmd.AppendFormat(", DateOfAcquisition = STR_TO_DATE('{0}','%Y/%m/%d')", data.DateOfAcquisition.ToShortDateString());
-                strcmd.AppendFormat(", Qualification = '{0}'", data.Qualification);
-                strcmd.AppendFormat(", Notes = '{0}'", data.Notes);
+                strcmd.AppendFormat(", Qualification = {0}", SeparateString(data.Qualification));
+                strcmd.AppendFormat(", Notes = {0}", SeparateString(data.Notes));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 484)
@@ -207,7 +207,7 @@
                 strcmd.AppendFormat(", {0}", work.EndMeetingTime);                      // 会議時間終了
                 strcmd.AppendFormat(", {0}", work.CreatorCode);                         // 作成者コード
                 strcmd.AppendFormat(", {0}", work.PalceFlag);                           // 現地フラグ
-                strcmd.AppendFormat(",'{0}'", work.MeetingPalce);                       // 打合せ場所１
+                strcmd.AppendFormat(", {0}", SeparateString(work.MeetingPalce));        // 打合せ場所１
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -255,7 +255,7 @@
                     strcmd.AppendFormat(", {0}", work.EndMeetingTime);                      // 会議時間終了
                     strcmd.AppendFormat(", {0}", work.CreatorCode);                         // 作成者コード
                     strcmd.AppendFormat(", {0}", work.PalceFlag);                           // 現地フラグ
-                    strcmd.AppendFormat(",'{0}'", work.MeetingPalce);                       // 打合せ場所１
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MeetingPalce));        // 打合せ場所１
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -300,7 +300,7 @@
                 strcmd.AppendFormat(",EndMeetingTime = {0}", data.EndMeetingTime);          // 会議時間終了
                 strcmd.AppendFormat(",CreatorCode = {0}", data.CreatorCode);                // 作成者コード
                 strcmd.AppendFormat(",PalceFlag = {0}", data.PalceFlag);                    // 現地フラグ
-                strcmd.AppendFormat(",MeetingPalce = '{0}'", data.MeetingPalce);            // 打合せ場所
+                strcmd.AppendFormat(",MeetingPalce = {0}", SeparateString(data.MeetingPalce));  // 打合せ場所
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttend.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttend.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttend.cs	(revision 484)
@@ -202,8 +202,8 @@
                 strcmd.AppendFormat(", {0}", work.StartMeetingTime);                    // 会議時間開始
                 strcmd.AppendFormat(", {0}", work.SeqNo);                               // データ行番号
 
-                strcmd.AppendFormat(",'{0}'", work.Department);                         // 出席者所属
-                strcmd.AppendFormat(",'{0}'", work.AttendName);                         // 出席者氏名
+                strcmd.AppendFormat(", {0}", SeparateString(work.Department));          // 出席者所属
+                strcmd.AppendFormat(", {0}", SeparateString(work.AttendName));          // 出席者氏名
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -252,8 +252,8 @@
                     strcmd.AppendFormat(", {0}", work.StartMeetingTime);                    // 会議時間開始
                     strcmd.AppendFormat(", {0}", work.SeqNo);                               // データ行番号
 
-                    strcmd.AppendFormat(",'{0}'", work.Department);                         // 出席者所属
-                    strcmd.AppendFormat(",'{0}'", work.AttendName);                         // 出席者氏名
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Department));          // 出席者所属
+                    strcmd.AppendFormat(", {0}", SeparateString(work.AttendName));          // 出席者氏名
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -294,13 +294,13 @@
                 strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 
                 strcmd.AppendFormat(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
-                                        , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
+                                        , data.ProceedingsDataDate.ToShortDateString());    // 議事録作成日
 
                 strcmd.AppendFormat(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
                 strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo);                            // データ行番号
 
-                strcmd.AppendFormat(",Department = '{0}'", data.Department);                // 出席者所属
-                strcmd.AppendFormat(",AttendName = '{0}'", data.AttendName);                // 出席者氏名
+                strcmd.AppendFormat(",Department = {0}", SeparateString(data.Department));  // 出席者所属
+                strcmd.AppendFormat(",AttendName = {0}", SeparateString(data.AttendName));  // 出席者氏名
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 484)
@@ -205,9 +205,9 @@
                 strcmd.AppendFormat(", {0}", work.StartMeetingTime);                    // 会議時間開始
                 strcmd.AppendFormat(", {0}", work.SeqNo);                               // データ行番号
 
-                strcmd.AppendFormat(",'{0}'", work.TitleNo);                            // 議題番号
-                strcmd.AppendFormat(",'{0}'", work.Title);                              // 議題
-                strcmd.AppendFormat(",'{0}'", work.ContentsText);                       // 内容
+                strcmd.AppendFormat(", {0}", SeparateString(work.TitleNo));             // 議題番号
+                strcmd.AppendFormat(", {0}", SeparateString(work.Title));               // 議題
+                strcmd.AppendFormat(", {0}", SeparateString(work.ContentsText));        // 内容
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -254,9 +254,9 @@
                     strcmd.AppendFormat(", {0}", work.StartMeetingTime);                    // 会議時間開始
                     strcmd.AppendFormat(", {0}", work.SeqNo);                               // データ行番号
 
-                    strcmd.AppendFormat(",'{0}'", work.TitleNo);                            // 議題番号
-                    strcmd.AppendFormat(",'{0}'", work.Title);                              // 議題
-                    strcmd.AppendFormat(",'{0}'", work.ContentsText);                       // 内容
+                    strcmd.AppendFormat(", {0}", SeparateString(work.TitleNo));                            // 議題番号
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Title));                              // 議題
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ContentsText));                       // 内容
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -294,15 +294,15 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);          // 工事番号
                 strcmd.AppendFormat(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
-                strcmd.AppendFormat(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
-                strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo);                            // データ行番号
+                strcmd.AppendFormat(",StartMeetingTime = {0}", data.StartMeetingTime);          // 会議時間開始
+                strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo);                                // データ行番号
 
-                strcmd.AppendFormat(",TitleNo = '{0}'", data.TitleNo);                      // 議題番号
-                strcmd.AppendFormat(",Title = '{0}'", data.Title);                          // 議題
-                strcmd.AppendFormat(",ContentsText = '{0}'", data.ContentsText);            // 内容
+                strcmd.AppendFormat(",TitleNo =  {0}", SeparateString(data.TitleNo));           // 議題番号
+                strcmd.AppendFormat(",Title =  {0}", SeparateString(data.Title));               // 議題
+                strcmd.AppendFormat(",ContentsText =  {0}", SeparateString(data.ContentsText)); // 内容
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 484)
@@ -59,6 +59,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("PetitionApprovalDate") || strWork.Equals("ApprovalLimitDates"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 承認データ検索文字列作成
         /// <summary>
         /// 承認データ検索文字列作成
@@ -68,34 +110,18 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM ProcessApproval", CreateFieldNameList());
 
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("PetitionApprovalDate") || strWork.Equals("ApprovalLimitDates"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM ProcessApproval");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -216,7 +242,7 @@
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.PetitionApprovalDate.ToShortDateString());
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.ApprovalLimitDates.ToShortDateString());
                     strcmd.AppendFormat(", {0}", work.ApprovalStatus.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.InputComment.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.InputComment));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -270,7 +296,7 @@
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.PetitionApprovalDate.ToShortDateString());
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.ApprovalLimitDates.ToShortDateString());
                 strcmd.AppendFormat(", {0}", data.ApprovalStatus.ToString());
-                strcmd.AppendFormat(",'{0}'", data.InputComment.ToString());
+                strcmd.AppendFormat(", {0}", SeparateString(data.InputComment));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
@@ -313,7 +339,7 @@
                 strcmd.AppendFormat(",PetitionApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PetitionApprovalDate.ToShortDateString());
                 strcmd.AppendFormat(",ApprovalLimitDates = STR_TO_DATE('{0}','%Y/%m/%d')", data.ApprovalLimitDates.ToShortDateString());
                 strcmd.AppendFormat(",ApprovalStatus = {0}", data.ApprovalStatus.ToString());
-                strcmd.AppendFormat(",InputComment = '{0}'", data.InputComment);
+                strcmd.AppendFormat(",InputComment = {0}", SeparateString(data.InputComment));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -402,7 +428,7 @@
                         strcmd.AppendFormat(" ApprovalStatus = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.InputComment:
-                        strcmd.AppendFormat(" InputComment = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" InputComment = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApprovalCommnet.cs	(revision 484)
@@ -56,6 +56,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 承認コメントデータ検索文字列作成
         /// <summary>
         /// 承認コメントデータ検索文字列作成
@@ -65,20 +103,18 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append(" ConstructionCode");
-            strcmd.Append(",ApprovalCode");
-            strcmd.Append(",OrderNo");
-            strcmd.Append(",CommentNo");
-            strcmd.Append(",ParentNo");
-            strcmd.Append(",ApproValComment");
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");      // 更新年月日
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");     // 登録年月日
-            strcmd.Append(" FROM ProcessApprovalComment");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM ProcessApprovalComment", CreateFieldNameList());
 
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -196,7 +232,7 @@
                     strcmd.AppendFormat(", {0}", work.OrderNo.ToString());
                     strcmd.AppendFormat(", {0}", work.CommentNo.ToString());
                     strcmd.AppendFormat(", {0}", work.ParentNo.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.ApproValComment.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ApproValComment));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -248,7 +284,7 @@
                 strcmd.AppendFormat(", {0}", data.OrderNo.ToString());
                 strcmd.AppendFormat(", {0}", data.CommentNo.ToString());
                 strcmd.AppendFormat(", {0}", data.ParentNo.ToString());
-                strcmd.AppendFormat(", '{0}'", data.ApproValComment.ToString());
+                strcmd.AppendFormat(", {0}", SeparateString(data.ApproValComment));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
@@ -288,7 +324,7 @@
                 strcmd.AppendFormat(",OrderNo = {0}", data.OrderNo.ToString());
                 strcmd.AppendFormat(",CommentNo = {0}", data.CommentNo.ToString());
                 strcmd.AppendFormat(",ParentNo = {0}", data.ParentNo.ToString());
-                strcmd.AppendFormat(",ApproValComment = '{0}'", data.ApproValComment.ToString());
+                strcmd.AppendFormat(",ApproValComment = {0}", SeparateString(data.ApproValComment));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -363,7 +399,7 @@
                         strcmd.AppendFormat(" ParentNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.ApproValComment:
-                        strcmd.AppendFormat(" ApproValComment = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ApproValComment = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
